import { Message, Properties } from "protobufjs/light";
import TxResult from "./tx-result";
/**
 * ByzCoin block payload
 */
export default class DataBody extends Message<DataBody> {
    /**
     * @see README#Message classes
     */
    static register(): void;
    readonly txResults: TxResult[];
    constructor(props?: Properties<DataBody>);
}
